
Infrastructure - Task #1182

Story # 1388 (Closed): implement MN-MN replication manager in CN stack

Implement setReplicationStatus() in CN service

2011-01-03 20:17 - Dave Vieglais

Status: Closed Start date: 2011-01-03

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.7.0 Story Points:  

Product Version: *   

Description

setReplicationStatus() is called by a Member Node to indicate progress on an object replication request. The process is described in

UC09 ( http://mule1.dataone.org/ArchitectureDocs-current/design/UseCases/09_uc.html ) and 

http://mule1.dataone.org/ArchitectureDocs-current/apis/cn_api_data_replication.html#CN_data_replication.setReplicationStatus

History

#1 - 2011-02-04 17:10 - Robert Waltz

- Category set to d1_cn_service

- Milestone set to CCI-0.5

#2 - 2011-02-07 18:52 - Robert Waltz

- Target version changed from Sprint-2011.05 to Sprint-2011.06

#3 - 2011-02-07 18:53 - Robert Waltz

- Target version changed from Sprint-2011.05 to Sprint-2011.06

#4 - 2011-03-01 18:38 - Robert Waltz

- Assignee changed from Robert Waltz to Rob Nahf

#5 - 2011-03-16 17:49 - Robert Waltz

- Assignee changed from Rob Nahf to Robert Waltz

#6 - 2011-03-16 17:50 - Robert Waltz

- Parent task changed from #1132 to #1388

#7 - 2011-03-25 16:54 - Robert Waltz

- Milestone deleted (CCI-0.5)

#8 - 2011-08-16 17:16 - Robert Waltz

- Category changed from d1_cn_service to d1_replication

- Assignee changed from Robert Waltz to Chris Jones

- Milestone set to CCI-0.7.0

#9 - 2011-09-07 20:32 - Chris Jones

- Assignee changed from Chris Jones to Nicholas Dexter

ReplicationService needs to call setReplicationStatus to QUEUED after the hzReplicationTasks.put() method is called.  ReplicationTask.call() needs
to set it to REQUESTED after the call to MNReplication.replicate().  When the MN calls setReplicationStatus (to set it to COMPLETE),

ReplicationService must first validate the checksums, and set it to COMPLETE or to INVALIDATED if the don't match.  That would complete the cycle

for the given ReplicationTask.

#10 - 2011-09-08 16:04 - Chris Jones

- Assignee changed from Nicholas Dexter to Chris Jones

I'll take this one.

#11 - 2011-09-09 15:52 - Chris Jones

- Status changed from New to Closed

Implemented in ReplicationService, however it currently uses a shared Hazelcast Node Map for node lookups, which currently doesn't exist. If the

map is not available, we'll revert to using the D1Client REST calls to get Node information.
